package com.siwei.rsmonitoring.service.impl;

import java.util.List;

import com.siwei.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.siwei.rsmonitoring.mapper.TDkjbxxYwypMapper;
import com.siwei.rsmonitoring.domain.TDkjbxxYwyp;
import com.siwei.rsmonitoring.service.ITDkjbxxYwypService;

/**
 * 地块基本业务研判信息（DKJBXX_YWYP）Service业务层处理
 *
 * @author siwei
 * @date 2025-02-25
 */
@Service
public class TDkjbxxYwypServiceImpl implements ITDkjbxxYwypService {
    @Autowired
    private TDkjbxxYwypMapper tDkjbxxYwypMapper;

    /**
     * 查询地块基本业务研判信息（DKJBXX_YWYP）
     *
     * @param id 地块基本业务研判信息（DKJBXX_YWYP）主键
     * @return 地块基本业务研判信息（DKJBXX_YWYP）
     */
    @Override
    public TDkjbxxYwyp selectTDkjbxxYwypById(String id) {
        return tDkjbxxYwypMapper.selectTDkjbxxYwypById(id);
    }

    /**
     * 查询地块基本业务研判信息（DKJBXX_YWYP）列表
     *
     * @param tDkjbxxYwyp 地块基本业务研判信息（DKJBXX_YWYP）
     * @return 地块基本业务研判信息（DKJBXX_YWYP）
     */
    @Override
    public List<TDkjbxxYwyp> selectTDkjbxxYwypList(TDkjbxxYwyp tDkjbxxYwyp) {
        return tDkjbxxYwypMapper.selectTDkjbxxYwypList(tDkjbxxYwyp);
    }

    /**
     * 新增地块基本业务研判信息（DKJBXX_YWYP）
     *
     * @param tDkjbxxYwyp 地块基本业务研判信息（DKJBXX_YWYP）
     * @return 结果
     */
    @Override
    public int insertTDkjbxxYwyp(TDkjbxxYwyp tDkjbxxYwyp) {
        tDkjbxxYwyp.setCreateTime(DateUtils.getNowDate());
        return tDkjbxxYwypMapper.insertTDkjbxxYwyp(tDkjbxxYwyp);
    }

    /**
     * 修改地块基本业务研判信息（DKJBXX_YWYP）
     *
     * @param tDkjbxxYwyp 地块基本业务研判信息（DKJBXX_YWYP）
     * @return 结果
     */
    @Override
    public int updateTDkjbxxYwyp(TDkjbxxYwyp tDkjbxxYwyp) {
        return tDkjbxxYwypMapper.updateTDkjbxxYwyp(tDkjbxxYwyp);
    }

    /**
     * 批量删除地块基本业务研判信息（DKJBXX_YWYP）
     *
     * @param ids 需要删除的地块基本业务研判信息（DKJBXX_YWYP）主键
     * @return 结果
     */
    @Override
    public int deleteTDkjbxxYwypByIds(String[] ids) {
        return tDkjbxxYwypMapper.deleteTDkjbxxYwypByIds(ids);
    }

    /**
     * 删除地块基本业务研判信息（DKJBXX_YWYP）信息
     *
     * @param id 地块基本业务研判信息（DKJBXX_YWYP）主键
     * @return 结果
     */
    @Override
    public int deleteTDkjbxxYwypById(String id) {
        return tDkjbxxYwypMapper.deleteTDkjbxxYwypById(id);
    }

    /**
     * 校验dkbh 是否可以进行更新
     *
     * @param dkbh
     * @return
     */
    public boolean checkDkjbxxYwypUpdate(String dkbh) {
        TDkjbxxYwyp ywyp = tDkjbxxYwypMapper.selectTDkjbxxYwypByDkbh(dkbh);
        if (ywyp != null) {
            return false;
        }
        return true;
    }


}
